Get session counts by status
GET
/v1/sessions/stats
const url = 'https://app.everruns.com/api/v1/sessions/stats';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/sessions/statsResponses
Section titled “ Responses ”Session statistics
Media type application/json
Response for session statistics endpoint
object
active
required
Sessions with a turn currently running
integer format: int32
idle
required
Sessions waiting for next input
integer format: int32
started
required
Sessions just created, no turn executed yet
integer format: int32
total
required
Total number of sessions across all statuses
integer format: int32
waiting_for_tool_results
required
Sessions waiting for client-side tool results
integer format: int32
Example generated
{ "active": 1, "idle": 1, "started": 1, "total": 1, "waiting_for_tool_results": 1}Internal server error